Bug 478101 - LDAP Control: Extension for Simple Paged Results Manipulation (Backend)
LDAP Control: Extension for Simple Paged Results Manipulation (Backend)
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Listeners (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:59 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:59:18 EST
RFC 2696 - LDAP Control Extension for Simple Paged Results Manipulation

http://www.faqs.org/rfcs/rfc2696.html

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Listeners',
                              'id' => '10070'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-112',
          'assignee' => 'jimyang',
          'summary' => 'LDAP Control: Extension for Simple Paged Results Manipulation',
          'id' => '10310',
          'updated' => '2008-08-08 10:22:31.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-09-18 00:00:00.0',
                             'sequence' => '31',
                             'name' => 'Penrose-2.1',
                             'released' => 'false',
                             'id' => '10130',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-06-03 00:00:00.0',
                                 'sequence' => '1',
                                 'name' => 'Penrose-0.9.1',
                                 'released' => 'true',
                                 'id' => '10004',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2005-07-06 00:00:00.0',
                                 'sequence' => '2',
                                 'name' => 'Penrose-0.9.2',
                                 'released' => 'true',
                                 'id' => '10005',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2005-07-26 00:00:00.0',
                                 'sequence' => '3',
                                 'name' => 'Penrose-0.9.3',
                                 'released' => 'true',
                                 'id' => '10020',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2005-08-31 00:00:00.0',
                                 'sequence' => '4',
                                 'name' => 'Penrose-0.9.4',
                                 'released' => 'true',
                                 'id' => '10021',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2005-09-15 00:00:00.0',
                                 'sequence' => '5',
                                 'name' => 'Penrose-0.9.5',
                                 'released' => 'true',
                                 'id' => '10022',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2005-09-30 00:00:00.0',
                                 'sequence' => '6',
                                 'name' => 'Penrose-0.9.6',
                                 'released' => 'true',
                                 'id' => '10032',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2005-10-17 00:00:00.0',
                                 'sequence' => '7',
                                 'name' => 'Penrose-0.9.7',
                                 'released' => 'true',
                                 'id' => '10033',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'RFC 2696 - LDAP Control Extension for Simple Paged Results Manipulation

http://www.faqs.org/rfcs/rfc2696.html',
          'created' => '2005-11-03 09:30:25.0',
          'type' => '2'
        };


=========================================================
Comment 1 Jim Yang 2009-01-27 16:58:41 EST
Frontend LDAP Control is not yet supported.
Comment 2 Endi Sukma Dewata 2009-01-29 16:16:39 EST
This has been implemented in the backend, i.e. Penrose can page search results from LDAP data sources. But on the frontend Penrose cannot page its own search results.

Note You need to log in before you can comment on or make changes to this bug.